unit schRemesasClienteServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schRemesasClienteClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_darReferenciaDelta = '{6BDDB07D-2116-434F-9B1C-3438BC15858E}';
  RID_RemesasClienteDelta = '{1ECF3F1A-3E7B-4CFA-B097-D5895756EB02}';
  RID_RemesasCliente_RefreshDelta = '{0EB05604-7651-4CAE-8D91-0032CBD944CB}';

type
  { IdarReferenciaDelta }
  IdarReferenciaDelta = interface(IdarReferencia)
  ['{6BDDB07D-2116-434F-9B1C-3438BC15858E}']
    { Property getters and setters }
    function GetOldVALORValue : String;

    { Properties }
    property OldVALOR : String read GetOldVALORValue;
  end;

  { TdarReferenciaBusinessProcessorRules }
  TdarReferenciaBusinessProcessorRules = class(TDABusinessProcessorRules, IdarReferencia, IdarReferenciaDelta)
  private
  protected
    { Property getters and setters }
    function GetVALORValue: String; virtual;
    function GetOldVALORValue: String; virtual;
    procedure SetVALORValue(const aValue: String); virtual;

    { Properties }
    property VALOR : String read GetVALORValue write SetVALORValue;
    property OldVALOR : String read GetOldVALORValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IRemesasClienteDelta }
  IRemesasClienteDelta = interface(IRemesasCliente)
  ['{1ECF3F1A-3E7B-4CFA-B097-D5895756EB02}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldTIPOValue : String;
    function GetOldFECHA_REMESAValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldUSUARIOValue : String;
    function GetOldID_DATOS_BANCOValue : Integer;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldNOMBREValue : String;
    function GetOldENTIDADValue : String;
    function GetOldSUCURSALValue : String;
    function GetOldDCValue : String;
    function GetOldCUENTAValue : String;
    function GetOldSUFIJO_N19Value : String;
    function GetOldSUFIJO_N58Value : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldTIPO : String read GetOldTIPOValue;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldDC : String read GetOldDCValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;
  end;

  { TRemesasClienteBusinessProcessorRules }
  TRemesasClienteBusinessProcessorRules = class(TDABusinessProcessorRules, IRemesasCliente, IRemesasClienteDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetTIPOValue: String; virtual;
    function GetOldTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    function GetOldFECHA_REMESAValue: DateTime; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    function GetOldID_DATOS_BANCOValue: Integer; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    function GetOldENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    function GetOldSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    function GetOldDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    function GetOldCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    function GetOldSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    function GetOldSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property TIPO : String read GetTIPOValue write SetTIPOValue;
    property OldTIPO : String read GetOldTIPOValue;
    property FECHA_REMESA : DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property ID_DATOS_BANCO : Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property ENTIDAD : String read GetENTIDADValue write SetENTIDADValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property SUCURSAL : String read GetSUCURSALValue write SetSUCURSALValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property DC : String read GetDCValue write SetDCValue;
    property OldDC : String read GetOldDCValue;
    property CUENTA : String read GetCUENTAValue write SetCUENTAValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property SUFIJO_N19 : String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property SUFIJO_N58 : String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IRemesasCliente_RefreshDelta }
  IRemesasCliente_RefreshDelta = interface(IRemesasCliente_Refresh)
  ['{0EB05604-7651-4CAE-8D91-0032CBD944CB}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldTIPOValue : String;
    function GetOldFECHA_REMESAValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldUSUARIOValue : String;
    function GetOldID_DATOS_BANCOValue : Integer;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldNOMBREValue : String;
    function GetOldENTIDADValue : String;
    function GetOldSUCURSALValue : String;
    function GetOldDCValue : String;
    function GetOldCUENTAValue : String;
    function GetOldSUFIJO_N19Value : String;
    function GetOldSUFIJO_N58Value : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldTIPO : String read GetOldTIPOValue;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldDC : String read GetOldDCValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;
  end;

  { TRemesasCliente_RefreshBusinessProcessorRules }
  TRemesasCliente_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, IRemesasCliente_Refresh, IRemesasCliente_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetTIPOValue: String; virtual;
    function GetOldTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    function GetOldFECHA_REMESAValue: DateTime; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    function GetOldID_DATOS_BANCOValue: Integer; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    function GetOldENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    function GetOldSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    function GetOldDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    function GetOldCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    function GetOldSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    function GetOldSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property TIPO : String read GetTIPOValue write SetTIPOValue;
    property OldTIPO : String read GetOldTIPOValue;
    property FECHA_REMESA : DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property ID_DATOS_BANCO : Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property ENTIDAD : String read GetENTIDADValue write SetENTIDADValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property SUCURSAL : String read GetSUCURSALValue write SetSUCURSALValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property DC : String read GetDCValue write SetDCValue;
    property OldDC : String read GetOldDCValue;
    property CUENTA : String read GetCUENTAValue write SetCUENTAValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property SUFIJO_N19 : String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property SUFIJO_N58 : String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TdarReferenciaBusinessProcessorRules }
constructor TdarReferenciaBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TdarReferenciaBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TdarReferenciaBusinessProcessorRules.GetVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_darReferenciaVALOR];
end;

function TdarReferenciaBusinessProcessorRules.GetOldVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_darReferenciaVALOR];
end;

procedure TdarReferenciaBusinessProcessorRules.SetVALORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_darReferenciaVALOR] := aValue;
end;


{ TRemesasClienteBusinessProcessorRules }
constructor TRemesasClienteBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TRemesasClienteBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TRemesasClienteBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID];
end;

function TRemesasClienteBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteID];
end;

procedure TRemesasClienteBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_EMPRESA];
end;

function TRemesasClienteBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteID_EMPRESA];
end;

procedure TRemesasClienteBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_EMPRESA] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteREFERENCIA];
end;

function TRemesasClienteBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteREFERENCIA];
end;

procedure TRemesasClienteBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteREFERENCIA] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteTIPO];
end;

function TRemesasClienteBusinessProcessorRules.GetOldTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteTIPO];
end;

procedure TRemesasClienteBusinessProcessorRules.SetTIPOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteTIPO] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_REMESA];
end;

function TRemesasClienteBusinessProcessorRules.GetOldFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteFECHA_REMESA];
end;

procedure TRemesasClienteBusinessProcessorRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_REMESA] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDESCRIPCION];
end;

function TRemesasClienteBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteDESCRIPCION];
end;

procedure TRemesasClienteBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDESCRIPCION] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteUSUARIO];
end;

function TRemesasClienteBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteUSUARIO];
end;

procedure TRemesasClienteBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteUSUARIO] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_DATOS_BANCO];
end;

function TRemesasClienteBusinessProcessorRules.GetOldID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteID_DATOS_BANCO];
end;

procedure TRemesasClienteBusinessProcessorRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_DATOS_BANCO] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_ALTA];
end;

function TRemesasClienteBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteFECHA_ALTA];
end;

procedure TRemesasClienteBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_ALTA] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_MODIFICACION];
end;

function TRemesasClienteBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteFECHA_MODIFICACION];
end;

procedure TRemesasClienteBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_MODIFICACION] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteIMPORTE_TOTAL];
end;

function TRemesasClienteBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteIMPORTE_TOTAL];
end;

procedure TRemesasClienteBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteIMPORTE_TOTAL] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteNOMBRE];
end;

function TRemesasClienteBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteNOMBRE];
end;

procedure TRemesasClienteBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteNOMBRE] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteENTIDAD];
end;

function TRemesasClienteBusinessProcessorRules.GetOldENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteENTIDAD];
end;

procedure TRemesasClienteBusinessProcessorRules.SetENTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteENTIDAD] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUCURSAL];
end;

function TRemesasClienteBusinessProcessorRules.GetOldSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteSUCURSAL];
end;

procedure TRemesasClienteBusinessProcessorRules.SetSUCURSALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUCURSAL] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDC];
end;

function TRemesasClienteBusinessProcessorRules.GetOldDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteDC];
end;

procedure TRemesasClienteBusinessProcessorRules.SetDCValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDC] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteCUENTA];
end;

function TRemesasClienteBusinessProcessorRules.GetOldCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteCUENTA];
end;

procedure TRemesasClienteBusinessProcessorRules.SetCUENTAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteCUENTA] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N19];
end;

function TRemesasClienteBusinessProcessorRules.GetOldSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteSUFIJO_N19];
end;

procedure TRemesasClienteBusinessProcessorRules.SetSUFIJO_N19Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N19] := aValue;
end;

function TRemesasClienteBusinessProcessorRules.GetSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N58];
end;

function TRemesasClienteBusinessProcessorRules.GetOldSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteSUFIJO_N58];
end;

procedure TRemesasClienteBusinessProcessorRules.SetSUFIJO_N58Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N58] := aValue;
end;


{ TRemesasCliente_RefreshBusinessProcessorRules }
constructor TRemesasCliente_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TRemesasCliente_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshID];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshID];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshID] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshID_EMPRESA];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshID_EMPRESA];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshID_EMPRESA] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshREFERENCIA];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshREFERENCIA];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshREFERENCIA] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshTIPO];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshTIPO];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetTIPOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshTIPO] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshFECHA_REMESA];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshFECHA_REMESA];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshFECHA_REMESA] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshDESCRIPCION];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshDESCRIPCION];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshDESCRIPCION] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshUSUARIO];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshUSUARIO];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshUSUARIO] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshID_DATOS_BANCO];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshID_DATOS_BANCO];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshID_DATOS_BANCO] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshFECHA_ALTA];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshFECHA_ALTA];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshFECHA_ALTA] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshFECHA_MODIFICACION];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshFECHA_MODIFICACION];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshFECHA_MODIFICACION] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshIMPORTE_TOTAL];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshIMPORTE_TOTAL];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshIMPORTE_TOTAL] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshNOMBRE];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshNOMBRE];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshNOMBRE] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshENTIDAD];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshENTIDAD];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetENTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshENTIDAD] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshSUCURSAL];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshSUCURSAL];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetSUCURSALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshSUCURSAL] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshDC];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshDC];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetDCValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshDC] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshCUENTA];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshCUENTA];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetCUENTAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshCUENTA] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshSUFIJO_N19];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshSUFIJO_N19];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetSUFIJO_N19Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshSUFIJO_N19] := aValue;
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshSUFIJO_N58];
end;

function TRemesasCliente_RefreshBusinessProcessorRules.GetOldSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasCliente_RefreshSUFIJO_N58];
end;

procedure TRemesasCliente_RefreshBusinessProcessorRules.SetSUFIJO_N58Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasCliente_RefreshSUFIJO_N58] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_darReferenciaDelta, TdarReferenciaBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_RemesasClienteDelta, TRemesasClienteBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_RemesasCliente_RefreshDelta, TRemesasCliente_RefreshBusinessProcessorRules);

end.
